Subject: Re: bug#50097: gzip: add "--keep" option to keep original files unchanged

From: "Adler, Mark" <[email-masked]>
Date: Sun, 22 Aug 2021 11:21:45 +0000

gzip theologians,

Just for information, up to now, pigz would merrily unlink the hard link of the input file, even if it has other hard links. While I’m not sure I understand why it shouldn’t do that (that is in fact what you asked it to do), in the spirit of behaving mostly like gzip, it will now* not unlink the input file if it has other hard links. It will let you know it didn’t do that, unless -k was provided. However it will proceed with the compression (or decompression) and create the file with the .gz added (or the .gz removed). If -f is specified, it will unlink the input file regardless of the number of hard links it has.

Mark

* “now” means on the develop branch of pigz on github. I have not yet released a new version with that commit.

On Aug 21, 2021, at 6:02 PM, Krzysztof Żelechowski <[email-masked]<mailto:[email-masked]>> wrote:

Dnia sobota, 21 sierpnia 2021 15:55:45 CEST Jim Meyering pisze:
I.e., we have to weigh "what could go wrong?" against "what would be
improved?" In this case, the weights are small on each side. That alone
argues against making a semantics-changing modification to such a tool.

The bad weight on the "for" side is 0, the counterexamples are unconvincing.

BR,
Chris